# istream.cpp File Reference

`#include <saga/saga/job.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/impl/job.hpp>`
`#include <saga/impl/packages/job/job_runtime.hpp>`

## Namespaces
namespace | saga
namespace | saga::job
namespace | saga::job::detail
## Functions
handle_type | saga::job::detail::get_handle (saga::job::istream const &istrm, bool detach=false)
| access the underlying file descriptor